#include <stdio.h>
#include <stdlib.h>

#if defined(__APPLE__) && defined(__MACH__)
#include <GLUT/glut.h>
#else
#include <GL/glut.h>
#endif

#include "text.h"

void disp(void);
void reshape(int x, int y);
void keyb(unsigned char key, int x, int y);

int xsz = 800;
int ysz = 600;
unsigned int font1, font2;

int main(int argc, char **argv)
{
	glutInit(&argc, argv);
	glutInitWindowSize(xsz, ysz);
	glutInitDisplayMode(GLUT_RGB | GLUT_DOUBLE);
	glutCreateWindow("font test");

	glutDisplayFunc(disp);
	glutReshapeFunc(reshape);
	glutKeyboardFunc(keyb);

	if(!(font1 = create_font("fonts/verdana.ttf", 32))) {
		return 1;
	}
	if(!(font2 = create_font("fonts/kerkis.pfb", 32))) {
		return 1;
	}
	set_text_color(1, 1, 1, 1);

	glutMainLoop();
	return 0;
}

void disp(void)
{
	glClear(GL_COLOR_BUFFER_BIT);

	set_text_pos(0.1, 0.5);
	bind_font(font1);
	print_string("This is a true type font (verdana)");

	set_text_pos(0.1, 0.6);
	bind_font(font2);
	print_string("This is a type1 font (kerkis)");

	glutSwapBuffers();
}

void reshape(int x, int y)
{
	glViewport(0, 0, x, y);
	xsz = x;
	ysz = y;
}

void keyb(unsigned char key, int x, int y)
{
	if(key == 27) {
		exit(0);
	}
}
