#ifndef TEXT_H
#define TEXT_H

typedef struct { float x, y; } vec2_t;
typedef struct { float x, y, z, w; } vec4_t;

unsigned int create_font(const char *fname, int font_size);
void delete_font(unsigned int fid);
int bind_font(unsigned int fid);

void set_text_pos(float x, float y);
vec2_t get_text_pos(void);

void text_line_advance(int adv);
void text_cret(void);

void set_text_size(float sz);
float get_text_size(void);

void set_text_color(float r, float g, float b, float a);
vec4_t get_text_color(void);

float print_string(const char *text);
void print_string_lines(const char **str, int lines);

float get_max_descent(void);
float get_line_advance(void);
float get_text_width(const char *str);

#endif	/* TEXT_H */
